LaTeX API
API referenceTemplates

List templates

GET
/v1/templates

Response Body

Template catalog

application/json
  1. response
templates*array<>
Example Request
curl -X GET 'https://latex-api.crafter.run/v1/templates'
Example Response200
{  "templates": [    {      "id": "string",      "name": "string",      "description": "string",      "category": "paper",      "engine": "pdflatex",      "entrypoint": "string",      "tags": [        "string"      ],      "license": "string",      "source": "string",      "variables": [        {          "name": "string",          "description": "string",          "default": "string"        }      ],      "files": [        {          "path": "string",          "size": 0,          "editable": true        }      ],      "links": {        "self": "string",        "archive": "string",        "preview": "string",        "compile": "string"      }    }  ]}